| Kea 3.0.2-git

isc::run_script Namespace Reference

## Classes
class | RunScriptImpl
| Run Script implementation. More...

## Typedefs
typedef boost::shared_ptr< RunScriptImpl > | RunScriptImplPtr
| The type of shared pointers to Run Script implementations.

## Variables
RunScriptImplPtr | impl
isc::log::Logger | run_script_logger ("run-script-hooks")

## Typedef Documentation

## ◆ RunScriptImplPtr

typedef boost::shared_ptr<RunScriptImpl> isc::run_script::RunScriptImplPtr

The type of shared pointers to Run Script implementations.

Definition at line 283 of file run_script.h.

## Variable Documentation

## ◆ impl

RunScriptImplPtr isc::run_script::impl

Definition at line 28 of file run_script_callouts.cc.

Referenced by addr6_register(), lease4_decline(), lease4_expire(), lease4_recover(), lease4_release(), lease4_renew(), lease6_decline(), lease6_expire(), lease6_rebind(), lease6_recover(), lease6_release(), lease6_renew(), leases4_committed(), leases6_committed(), load(), and unload().

## ◆ run_script_logger

isc::log::Logger isc::run_script::run_script_logger | ( | "run-script-hooks" |  | ) |

Definition at line 18 of file run_script_log.h.

Referenced by load(), and unload().